Page MenuHomePhabricator

prepare patch for tracking user registrations and guided tours
Closed, ResolvedPublic

Description

Reuse the patch from the last campaign and adjust it to use the new campaign parameters and guided tour name.

data will be provided here

Guided Tour names (The training modules include 2 new guided tours):

?tour=diskutieren
?tour=seimutig

Both are already on de-wiki.

Campaign #1 name and link: T182323

The sample code from last time can be seen @ https://gerrit.wikimedia.org/r/#/c/347831/

Every logged in user is allowed to see the tours. The tours have to be activated manually.

Check also https://phabricator.wikimedia.org/T171049

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : wmf/1.31.0-wmf.12Add onBeforeInitializeWMDECampaign
mediawiki/extensions/WikimediaEvents : masterAdd onBeforeInitializeWMDECampaign

Event Timeline

Verena created this task.Dec 13 2017, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2017, 4:41 PM
Verena updated the task description. (Show Details)Dec 13 2017, 4:42 PM
Verena updated the task description. (Show Details)Dec 21 2017, 1:30 PM
Verena added a subscriber: Addshore.

So, tracking of the 2 guided tours no longer has anything to do with the hack, as they are tracked as long as they are setup correctly. See T174949

The hack is now only needed to allow tracking user registrations that come from a banner but land on a regular page before going to the registration page.

Change 399626 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@master] Add onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/399626

Change 399627 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikimediaEvents@wmf/1.31.0-wmf.12] Add onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/399627

Addshore claimed this task.Dec 21 2017, 1:55 PM
Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.

@Addshore: Thx for clarifying and claiming the task!

Change 399626 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Add onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/399626

Change 399627 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.31.0-wmf.12] Add onBeforeInitializeWMDECampaign

https://gerrit.wikimedia.org/r/399627

Mentioned in SAL (#wikimedia-operations) [2018-01-01T20:59:38Z] <addshore@tin> Synchronized php-1.31.0-wmf.12/extensions/WikimediaEvents/WikimediaEventsHooks.php: [[gerrit:399627|Add onBeforeInitializeWMDECampaign]] T182797 T182794 PT 1/2 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-01-01T21:01:10Z] <addshore@tin> Synchronized php-1.31.0-wmf.12/extensions/WikimediaEvents: [[gerrit:399627|Add onBeforeInitializeWMDECampaign]] T182797 T182794 PT 2/2 (duration: 00m 53s)

Addshore closed this task as Resolved.Jan 1 2018, 9:01 PM
GoranSMilovanovic reopened this task as Open.EditedJan 2 2018, 4:37 AM

@Addshore @Stefan_Schneider_WMDE @Verena

Adam, in: https://gerrit.wikimedia.org/r/#/c/399627/1/WikimediaEventsHooks.php you use:

$campaignPrefix = 'wmde_etc2017'

Unfortunately, I can't find anything like wmde_etc2017 on beacon, e.g. by getting everything with

SELECT uri_query FROM webrequest
      WHERE uri_host = 'de.wikipedia.org'
      AND uri_path = '/beacon/impression'

from HiveQL. However, I find many wmde17thankyou things with regex there (306674 occurrences only in the first hour of 2. January 2018). The same holds for the data acquired later on.

Please let me know whether wmde_etc2017 is certainly the tag that we are looking for.

Currently, the statistics that I see after UTC midnight are the following:

status=banner_canceled status=banner_loader_error        status=banner_shown 
                    205249                        710                     120477
statusCode=6 statusCode=7 
      120477          710
campaign=C17_WMDE_dewiki_default         campaign=C17_WMDE_Test24       campaign=C17_WMDE_ThankYou 
                               1                               11                           326335
banner=B17WMDE_24_171130_var banner=B17WMDE_thankYou1_180101_ctrl  banner=B17WMDE_thankYou1_180101_var 
                                  11                                49287                                49727 
     banner=B17WMDE_thankyou_authors    banner=B17WMDE_thankyou_authors_B              banner=wm2018scholarcfp 
                               11048                                11094                                   18 
      banner=WMCO_Wikivacaciones2017 
                                   2
bannerCategory=fundraising bannerCategory=Wikimania2018InternationalScholarships 
                                        11                                                    18 
     bannerCategory=WMCOWikivacaciones2017                         bannerCategory=wmde17thankyou 
                                         2                                                121156
result=hide result=show 
     205249      120477

So, nothing similar to wmde_etc2017 has occurred thus far.

@Addshore @Verena @Stefan_Schneider_WMDE

13:30 CET January 2nd data check: nothing like wmde_etc2017 occurs on beacon for dewiki.

Conclusion: either the campaign tag is incorrect, or is not tracked properly, or the banners simply do not show up.

Please advise.

@GoranSMilovanovic
At least I clicked one time on the banner and the Landingpage. As I see in T182323 the campaign tag is wmde_etc2017_bt1. Maybe you can find something with that text?

@Stefan_Schneider_WMDE When did you click the banner (CET hours, at least approximately)?

Nothing like wmde_etc2017_whatever can be found in the data set beginning on January 2nd 00:00 CET hours. Certainly.

@GoranSMilovanovic That Was appr. 2h ago.

@Addshore Maybe you can help here?

Yes, it looks like there is some issue with the code, not sure why has it hasn't changed since the last campaign.
hmmm...

Looking at the logs the code appears to be getting executed as expected:

addshore@mwlog1001:~$ cat /srv/mw-log/WMDE.log | grep ' - 2 - '
2018-01-02 09:05:28 [XXX] mw1270 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 09:09:00 [XXX] mw1187 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 09:58:59 [XXX] mw1273 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 10:17:19 [XXX] mw1321 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 10:18:53 [XXX] mw1249 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 10:41:11 [XXX] mw1211 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 10:41:40 [XXX] mw1250 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 10:55:58 [XXX] mw1250 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 12:19:00 [XXX] mw1218 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 12:32:31 [XXX] mw1241 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 12:57:06 [XXX] mw1325 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 13:19:48 [XXX] mw1216 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 13:22:32 [XXX] mw1266 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 13:22:32 [XXX] mw1271 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:30:05 [XXX] mw1273 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:35:48 [XXX] mw1243 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:37:10 [XXX] mw1243 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:41:18 [XXX] mw1267 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:46:43 [XXX] mw1254 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:48:02 [XXX] mw1244 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 14:48:08 [XXX] mw1330 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 15:18:27 [XXX] mw1250 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 15:20:47 [XXX] mw1321 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount
2018-01-02 17:01:44 [XXX] mw1327 dewiki 1.31.0-wmf.12 WMDE INFO: wmde_etc2017_bt1 - 2 - Inject campaign value on CreateAccount

And the data is also showing up in the event logging tables:

mysql:research@analytics-slave.eqiad.wmnet [log]> select count(*) from ServerSideAccountCreation_5487345 where event_campaign LIKE '%wmde_etc%' limit 1;
+----------+
| count(*) |
+----------+
|        8 |
+----------+
1 row in set (0.94 sec)

So the patch is working as expected, marking as closed again.

Addshore closed this task as Resolved.Jan 2 2018, 6:54 PM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.